Social Links
curl --request PATCH \
--url https://api.offlineprotocol.com/api/v1/profiles/{username}/socials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"socials": {
"x": "https://x.com/example"
},
"about": "About me text"
}
'import requests
url = "https://api.offlineprotocol.com/api/v1/profiles/{username}/socials"
payload = {
"socials": { "x": "https://x.com/example" },
"about": "About me text"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({socials: {x: 'https://x.com/example'}, about: 'About me text'})
};
fetch('https://api.offlineprotocol.com/api/v1/profiles/{username}/socials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"profile": {
"username": "<string>",
"about": "<string>",
"socials": {
"x": "<string>",
"telegram": "<string>",
"website": "<string>",
"discord": "<string>"
},
"location": {
"latitude": 123,
"longitude": 123
},
"hidden": false
}
}
}Profiles
Social Links
Updates user’s social media links and about section.
PATCH
/
profiles
/
{username}
/
socials
Social Links
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The username of the profile
Body
application/json
Response
200 - application/json
Profile updated successfully
Show child attributes
Show child attributes
⌘I